.nav {
    background-color: #e8d2a6;
    width: 100%;
    height: 12vh;
    display: flex;
    align-items: center;
    justify-content: space-around;
    position: fixed;
    top: 0;
    z-index: 3;
    transition: top 0.2s ease-in-out;
}

.nav a {
    text-decoration: none;
    color: black;
    font-size: 18px;
    background-color: #e8d2a6;
}

.logoNav {
    width: 50px;
    height: 50px;
    background-color: #e8d2a6;
    transition-duration: 0.8s;
}

.logoNavMobile {
    width: 150px;
    height: 150px;
    background-color: #e8d2a6;
}

.logoNav:hover {
    transition-duration: 0.8s;
    transform: rotate(360deg) scale(1.3);
}

.navContainerRight {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #e8d2a6;
    gap: 20px;
}

.cartNav {
    width: 50px;
    height: 50px;
    background-color: #e8d2a6;
    transition-duration: 0.4s;
}

.accountNav {
    width: 30px;
    height: 30px;
    background-color: #e8d2a6;
    transition-duration: 0.4s;
}

.searchNav {
    width: 30px;
    height: 30px;
    transition-duration: 0.4s;
    background-color: transparent;
}

.searchButton {
    background: transparent;
    border: none;
    outline: none;
    margin-left: -50px;
}

.searchButton:hover {
    cursor: pointer;
}

.accountNav:hover {
    transform: scale(1.3);
    transition-duration: 0.4s;
}

.cartNav:hover {
    transform: scale(1.3);
    transition-duration: 0.4s;
}

#myBtn {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: #e8d2a6; /* Set a background color */
    color: black; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 15px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
    font-size: 18px; /* Increase font size */
}

.headerForm {
    width: 50%;
    display: flex;
    background-color: transparent;
}

.headerFormMobile {
    width: 80%;
    display: flex;
    background-color: transparent;
    margin: 5vh 0;
}

.headerFormText {
    padding: 16px 55px 16px 10px;
    width: 100%;
    border-radius: 50px;
    border: 2px rgb(0, 76, 0) solid;
    background-color: transparent;
}

.headerFormText:focus {
    outline: none;
}

.headerFormBtn {
    padding: 6px 16px;
    border: none;
    border-radius: 0 5px 5px 0;
    color: white;
}

.headerFormBtn:focus {
    outline: none;
}

.headerFormBtn:hover {
    cursor: pointer;
}

.navAdmin {
    width: 100%;
    background-color: #004c00;
    position: sticky;
    top: 0;
    z-index: 2;
}

.navAdminContainer {
    width: 40%;
    background-color: transparent;
    display: flex;
    justify-content: space-between;
    margin: auto;
    height: auto;
}

.navAdminLink {
    display: inline-block;
    margin: 2vh 0;
    font-size: 20px;
    color: white;
    text-decoration: none;
    background-color: transparent;
}

.navAdminLink::after {
    content: '';
    display: block;
    width: 0%;
    height: 2px;
    background-color: white;
    transition-duration: 0.4s;
}

.navAdminLink:hover::after {
    width: 100%;
}

@media screen and (min-width: 701px) and (max-width: 1279px) {

    .navAdminContainer {
        width: 60%;
    }

}

@media screen and (max-width: 700px) {

    .navHover {
        display: none;
    }

    .navContainerRight {
        display: none;
    }

    .nav {
        gap: 20px;
    }

    .headerForm {
        display: none;
    }

    .navAdmin {
        display: none;
    }

}
